Description

I would like to add GCTAPsfMap class to handle psf in the format of (energy,skycoordinate). This is useful for averaged analysis. In

averaged analysis, run informations are missing. Parameters like offset, azimuth angle and zenith can't be calculated. To handle

multiple sources in fov. I propose building a new class GCTAPsfMap to handle averaged pdf for sky directions.  A proposed header

file for this class is attached. The main problem I see is

- We have to add corresponding virtual methods in GCTAPsf and GCTAResponse.

- We need 3D interpolation. This is not really needed because to interpolate skyx,skyy is not really necessary. We can just take the

closes skyx,skyy nodes.

Are there other problems?

History

#1 - 07/10/2014 11:46 PM - Knödlseder Jürgen

Is this feature still relevant, or is it solved by creating the GCTAMeanPsf class?

#2 - 07/11/2014 06:34 AM - Lu Chia-Chun

- Status changed from New to Resolved

replaced by #1250

#3 - 07/11/2014 11:54 AM - Knödlseder Jürgen

- Status changed from Resolved to Rejected

Files

GCTAPsfMap.hpp 4.79 KB 05/15/2014 Lu Chia-Chun
